Skip to main content

Assignments

Overview

Assignments endpoints provide read access to assignment data, billing details, and contacts.

Endpoint Summary

MethodRoutePurpose
GET/v1/assignmentsList assignments
GET/v1/assignments/{assignmentId}Get assignment by ID
GET/v1/assignments/{assignmentId}/billing-detailsList assignment billing details
GET/v1/assignments/{assignmentId}/contactsList assignment contacts

GET /v1/assignments

Return paginated assignments for the authenticated context.

Headers

HeaderRequiredValue
AuthorizationYesBearer {{ACCESS_TOKEN}}
AcceptYesapplication/json

Query Parameters

ParameterTypeRequiredDescription
pagenumberNoPage number.
per_pagenumberNoItems per page.
search_textstringNoSearch value.
orderstringNoSort field.
order_directionstringNoasc or desc.
expat_idnumberNoFilter by expat ID.
home_countrystringNoFilter by home country (ISO2).
host_countrystringNoFilter by host country (ISO2).
requested_beforestringNoDate filter.
starts_beforestringNoDate filter.
starts_afterstringNoDate filter.
ends_beforestringNoDate filter.
ends_afterstringNoDate filter.
statusarrayNoStatus filter values.

Example Request

curl -X GET "{{BASE_URL}}/v1/assignments?page=1&per_page=20" \
-H "Authorization: Bearer {{ACCESS_TOKEN}}" \
-H "Accept: application/json"

Success Response (200)

{
"success": true,
"result": {
"currentPage": 1,
"perPage": 25,
"lastPage": 1,
"total": 9,
"items": [
{
"id": 122,
"author_id": 22040,
"client_id": 4234,
"expat_id": 10891,
"expat_name": "Jane Doe",
"requested_by_name": "John Manager",
"requested_by_email": "[email protected]",
"home_country": "AL",
"home_city": "(former) Roman Catholic Diocese of Durres",
"home_manager_id": 0,
"home_manager_name": null,
"home_manager_email": null,
"home_segment_id": null,
"home_segment_name": null,
"home_department_id": null,
"home_department_name": null,
"home_company_id": null,
"home_company_name": null,
"home_office_id": 0,
"home_office_name": null,
"home_cost_center": null,
"home_business_unit": null,
"home_address": null,
"host_country": "AL",
"host_city": "Abazaj",
"host_manager_id": 0,
"host_manager_name": null,
"host_manager_email": null,
"host_segment_id": null,
"host_segment_name": null,
"host_department_id": null,
"host_department_name": null,
"host_company_id": null,
"host_company_name": null,
"host_cost_center": null,
"host_office_id": 0,
"host_office_name": null,
"host_business_unit": null,
"host_address": null,
"payroll": null,
"number_adults": 0,
"number_children": 0,
"type": "long-term-assignment",
"type_label": "Long Term Assignment",
"status": "ended",
"status_id": "ended",
"review_approved_count": 0,
"review_rejected_count": 0,
"review_total_count": 0,
"start_date": "2026-04-10",
"end_date": "2026-04-11",
"notes": null,
"cancelled_by": null,
"is_confidential": false,
"sponsor": null,
"created_at": "2026-04-27T15:21:00+00:00",
"archived_at": null,
"archived": false
}
]
}
}

GET /v1/assignments/{assignmentId}

Return assignment details by identifier.

Headers

HeaderRequiredValue
AuthorizationYesBearer {{ACCESS_TOKEN}}
AcceptYesapplication/json

Path Parameters

ParameterTypeRequiredDescription
assignmentIdnumberYesAssignment identifier.

Example Request

curl -X GET "{{BASE_URL}}/v1/assignments/{{ASSIGNMENT_ID}}" \
-H "Authorization: Bearer {{ACCESS_TOKEN}}" \
-H "Accept: application/json"

Success Response (200)

{
"success": true,
"result": {
"id": 120,
"author_id": 22691,
"client_id": 4234,
"expat_id": 10891,
"expat_name": "Jane Doe",
"requested_by_name": "John Manager",
"requested_by_email": "[email protected]",
"home_country": "KM",
"home_city": "Anihani",
"home_manager_id": 0,
"home_manager_name": null,
"home_manager_email": null,
"home_segment_id": null,
"home_segment_name": null,
"home_department_id": null,
"home_department_name": null,
"home_company_id": null,
"home_company_name": null,
"home_office_id": 0,
"home_office_name": null,
"home_cost_center": null,
"home_business_unit": null,
"home_address": null,
"host_country": "MS",
"host_city": "Fogarty",
"host_manager_id": 0,
"host_manager_name": null,
"host_manager_email": null,
"host_segment_id": null,
"host_segment_name": null,
"host_department_id": null,
"host_department_name": null,
"host_company_id": null,
"host_company_name": null,
"host_cost_center": null,
"host_office_id": 0,
"host_office_name": null,
"host_business_unit": null,
"host_address": null,
"payroll": null,
"number_adults": 0,
"number_children": 0,
"type": "long-term-assignment",
"type_label": "Long Term Assignment",
"status": "ongoing",
"status_id": "ongoing",
"review_approved_count": 0,
"review_rejected_count": 0,
"review_total_count": 0,
"start_date": "2026-04-01",
"end_date": "2026-04-30",
"notes": null,
"cancelled_by": null,
"is_confidential": false,
"sponsor": null,
"extensions": [],
"approvals": [],
"created_at": "2026-04-27T11:38:18+00:00",
"archived_at": null,
"archived": false
}
}

GET /v1/assignments/{assignmentId}/billing-details

Return billing details linked to an assignment.

Headers

HeaderRequiredValue
AuthorizationYesBearer {{ACCESS_TOKEN}}
AcceptYesapplication/json

Path Parameters

ParameterTypeRequiredDescription
assignmentIdnumberYesAssignment identifier.

Example Request

curl -X GET "{{BASE_URL}}/v1/assignments/{{ASSIGNMENT_ID}}/billing-details" \
-H "Authorization: Bearer {{ACCESS_TOKEN}}" \
-H "Accept: application/json"

Success Response (200)

{
"success": true,
"result": [
{
"id": 991,
"company_name": "XPath Germany GmbH",
"default": "1",
"name": "XPath Germany GmbH",
"address": "Friedrichstrasse 100",
"city": "Berlin",
"region": "Berlin",
"country_code": "DE",
"zip_code": "10117",
"tax_number": "DE123456789",
"bank_name": "Commerzbank",
"swift_code": "COBADEFF",
"bank_account_number": "DE11111111111111111111",
"office": null,
"office_id": null,
"billable_id": 378,
"billable_type": "assignment"
}
]
}

GET /v1/assignments/{assignmentId}/contacts

Return contacts linked to an assignment.

Headers

HeaderRequiredValue
AuthorizationYesBearer {{ACCESS_TOKEN}}
AcceptYesapplication/json

Path Parameters

ParameterTypeRequiredDescription
assignmentIdnumberYesAssignment identifier.

Example Request

curl -X GET "{{BASE_URL}}/v1/assignments/{{ASSIGNMENT_ID}}/contacts" \
-H "Authorization: Bearer {{ACCESS_TOKEN}}" \
-H "Accept: application/json"

Success Response (200)

{
"success": true,
"result": [
{
"id": 201,
"name": "John Manager",
"email": "[email protected]"
},
{
"id": 202,
"name": "Jane HR",
"email": "[email protected]"
}
]
}